> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical funding rates

> Retrieves the historical funding rate data for a specific instrument.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/funding-rate
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/funding-rate:
    get:
      tags:
        - Funding Rate
      summary: Get historical funding rates
      description: Retrieves the historical funding rate data for a specific instrument.
      operationId: historicalFundingRate
      parameters:
        - name: symbol
          in: query
          description: The instrument symbol (e.g., "BIPZ30")
          required: true
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: BIPZ30
        - name: trading_session_date
          in: query
          description: >-
            Trading session date in YYYY-MM-DD format (defaults to today's date
            if absent)
          required: false
          deprecated: false
          allowEmptyValue: false
          schema:
            type: string
            example: '2025-08-01'
      responses:
        '200':
          description: Successfully retrieved funding rate data
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FundingRateResponse'
        '400':
          description: Bad request - invalid parameters
      deprecated: false
      security: []
components:
  schemas:
    FundingRateResponse:
      type: object
      additionalProperties: false
      properties:
        symbol:
          type: string
          example: BIPZ30
        funding_rate:
          type: string
          example: '0.000100'
        future_mark_price:
          type: string
          example: '62850.25'
        spot_mark_price:
          type: string
          example: '62840.10'
        fair_value_price:
          type: string
          example: '62845.00'
        event_time:
          type: string
          example: '2025-08-13T12:00:00Z'
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````